package com.weaver.seconddev.njwebservice.entity;

/**
 * @Author liang.cheng
 * @Date 2025/1/21 13:57
 * @Description:
 * @Version 1.0
 */
public class ResponseInfo {

    private String ISTAT;
    private String requestid;
    private String SRMSAGE;
    public String getISTAT() {
        return ISTAT;
    }
    public void setISTAT(String iSTAT) {
        ISTAT = iSTAT;
    }
    public String getRequestid() {
        return requestid;
    }
    public void setRequestid(String requestid) {
        this.requestid = requestid;
    }
    public String getSRMSAGE() {
        return SRMSAGE;
    }
    public void setSRMSAGE(String sRMSAGE) {
        if("-1".equals(sRMSAGE)){
            sRMSAGE = "创建流程失败";
        }else if("-2".equals(sRMSAGE)){
            sRMSAGE = "用户没有流程创建权限";
        }else if("-3".equals(sRMSAGE)){
            sRMSAGE = "创建流程基本信息失败";
        }else if("-4".equals(sRMSAGE)){
            sRMSAGE = "保存表单主表信息失败";
        }else if("-5".equals(sRMSAGE)){
            sRMSAGE = "更新紧急程度失败";
        }else if("-6".equals(sRMSAGE)){
            sRMSAGE = "流程操作者失败";
        }else if("-7".equals(sRMSAGE)){
            sRMSAGE = "流转至下一节点失败";
        }else if("-8".equals(sRMSAGE)){
            sRMSAGE = "节点附加操作失败";
        }
        SRMSAGE = sRMSAGE;
    }
}
